function dx=pendulum(t,x,params)

dx=zeros(2,1);
dx(1)=x(2);
Wo=params(1);
W=params(2);
aLast=params(3);

a=params(5);
b=params(6);

ddx=-(sin(W*t)-a/b*cos(2*W*t));
dx(2)=-aLast*W*W*ddx*cos(x(1))-Wo*Wo*sin(x(1));%x=a*sin(W*t)
beta_cap=params(4);

%LINEAL
dx(2)=dx(2)-beta_cap*x(2);

%QUADRATIC
%dx(2)=dx(2)-beta_cap*x(2)*abs(x(2));
